Package Details: fastflix 5.7.0-1

Git Clone URL: https://aur.archlinux.org/fastflix.git (read-only, click to copy)
Package Base: fastflix
Description: Simple and friendly GUI for encoding videos
Upstream URL: https://github.com/cdgriffith/FastFlix
Licenses: MIT
Submitter: npreining
Maintainer: npreining
Last Packager: npreining
Votes: 6
Popularity: 0.037065
First Submitted: 2022-03-06 03:23 (UTC)
Last Updated: 2024-06-17 06:30 (UTC)

Dependencies (10)

Required by (0)

Sources (2)

Latest Comments

1 2 Next › Last »

jpyper commented on 2024-06-03 17:17 (UTC)

Thank you. Your fix worked.

Also, I kind of agree about the betas. I tried it out but some things have changed and getting it to transcode a video just errors. I think the 5.7.0b1 might be geared towards Windows users, but I'm not totally sure.

npreining commented on 2024-06-03 01:24 (UTC)

@jpyper I don't like packaging beta version since Audio might be seriously broken. I adjusted the packaging to work with 3.12 and released a new version. That should build for you. Let me know if it doesn't.

jpyper commented on 2024-06-02 20:18 (UTC) (edited on 2024-06-02 20:31 (UTC) by jpyper)

By any chance, can you update to this newer beta version?

5.7.0b1

Update #x.xx If downloading the PKGBUILD or using a helper like trizen, just edit line 4, pkgver to say 5.7.0b1 and save. It will work.

jpyper commented on 2024-05-25 16:55 (UTC) (edited on 2024-05-28 05:03 (UTC) by jpyper)

I just tried to install this package on both vanilla Arch and on Manjaro. Same failure result on both.

At the beginning of the build() sequence it does a bunch of pip checks and then fails looking for a non-existent version of 'fastflix' for python 3.12. I don't know if something could be patched in to accept python 3.12.x or if it is something that I need to file an issue on the upstream Github. Could it be built using a venv with python-3.11 or something?

python --version
Python 3.12.3

I tried with "yay -S aur/fastflix", "trizen -S aur/fastflix" and even downloaded the PKGBUILD to take a stab at it manually with "makepkg -Ccsi". No joy.

---[the error]---

Collecting requests<3.0,>=2.28 (from fastflix==5.6.0)
  Using cached requests-2.32.2-py3-none-any.whl.metadata (4.6 kB)
Collecting reusables<0.10.0,>=0.9.6 (from fastflix==5.6.0)
  Using cached reusables-0.9.6-py3-none-any.whl.metadata (19 kB)
INFO: pip is looking at multiple versions of fastflix to determine which version is compatible with other requirements. This could take a while.
ERROR: Package 'fastflix' requires a different Python: 3.12.3 not in '<3.12,>=3.11'
==> ERROR: A failure occurred in build().
    Aborting...
 -> error making: fastflix-exit status 4
 -> Failed to install the following packages. Manual intervention is required:
fastflix - exit status 4

hughesw commented on 2023-03-13 13:55 (UTC)

Actually, it is fairly general to cause this issue. It actually doesn't seem to be related to pip at all, but poetry. poetry brings in SecretStorage when building FastFlix, and that tries to communicate with the org.freedesktop.secrets service on the system. If I have gnome-keyring or one of the other providers of that service installed, configured, and enabled on my system, then build from within X, the script in this AUR works as-is. But building from ssh doesn't work with that same state without adding the null backend environment variable.

The workaround I noted came from an issue on poetry's github. See here: https://github.com/python-poetry/poetry/issues/1917

npreining commented on 2023-03-13 02:41 (UTC)

Hi @hughesw thanks for your comments, that will hopefully help other users in case they have the same problems. Much appreciated!

But I don't think this is a general setup but one done by yourself (the pip - keyring integration). I don't think it is a good idea to include workarounds for various cases, because that might open a long worm of other requests to deal with more specific setups (like pip only from a different server, or pip disabled, or ...).

So I think the best solution is that comment here, thanks a lot for that!

hughesw commented on 2023-03-13 02:32 (UTC) (edited on 2023-03-13 02:36 (UTC) by hughesw)

FWIW I was having trouble updating to 5.3.0.1, I think not because of upstream changes but because the install script interacts with some keyring stuff locally. With the script as-is I'd get the following during build():

[notice] To update, run: pip install --upgrade pip
Updating dependencies
Resolving dependencies... (0.1s)

Failed to unlock the collection!
Updating dependencies
Resolving dependencies... (0.1s)

Failed to unlock the collection!
==> ERROR: A failure occurred in build().

I was able to get it to build by tacking on the following command to PKGBUILD after the source ./venv/bin/activate. export PYTHON_KEYRING_BACKEND=keyring.backends.null.Keyring

This change produced a working update for me.

jfroy commented on 2023-01-16 22:40 (UTC)

@jfroy Hmm, interesting. Can you install python-chardet package and see whether that fixes it. All the modules should be included in the packaged version, though.

Yeah I tried that and it didn't help. And indeed, I figured the AUR builds a self-contained environment that should have all dependencies.

In case it's relevant, here's my shell environment:

COLORFGBG=15;0
COLORTERM=truecolor
CUDA_PATH=/opt/cuda
DBUS_SESSION_BUS_ADDRESS=unix:path=/run/user/1000/bus
DESKTOP_SESSION=plasmawayland
DISPLAY=:0
EDITOR=code -w
GDM_LANG=en_US.UTF-8@metric
GDMSESSION=plasmawayland
GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/jfroy/.gtkrc-2.0:/home/jfroy/.config/gtkrc-2.0
GTK_RC_FILES=/etc/gtk/gtkrc:/home/jfroy/.gtkrc:/home/jfroy/.config/gtkrc
HOME=/home/jfroy
INVOCATION_ID=5dbc91041b0943298b6435252e0209e4
JOURNAL_STREAM=8:80544
KDE_APPLICATIONS_AS_SCOPE=1
KDE_FULL_SESSION=true
KDE_SESSION_UID=1000
KDE_SESSION_VERSION=5
KONSOLE_DBUS_SERVICE=:1.76
KONSOLE_DBUS_SESSION=/Sessions/1
KONSOLE_DBUS_WINDOW=/Windows/1
KONSOLE_VERSION=221201
LANG=en_US.UTF-8
LANGUAGE=
LC_MEASUREMENT=C
LC_TIME=C
LOGNAME=jfroy
MAIL=/var/spool/mail/jfroy
MANAGERPID=2796
MOTD_SHOWN=pam
P4CONFIG=.p4config
PAM_KWALLET5_LOGIN=/run/user/1000/kwallet5.socket
PATH=/opt/cuda/bin:/home/jfroy/.local/bin:/home/jfroy/.cargo/bin:/usr/local/bin:/usr/bin
PLASMA_USE_QT_SCALING=1
PROFILEHOME=
PWD=/home/jfroy
QSG_RENDER_LOOP=basic
QT_AUTO_SCREEN_SCALE_FACTOR=0
QT_WAYLAND_FORCE_DPI=96
SESSION_MANAGER=local/wave4:@/tmp/.ICE-unix/4467,unix/wave4:/tmp/.ICE-unix/4467
SHELL_SESSION_ID=e55858eaf6b243f8b932c5bfdc4a1572
SHELL=/usr/bin/fish
SHLVL=1
SYSTEMD_EXEC_PID=4517
TERM=xterm-256color
USER=jfroy
USERNAME=jfroy
WAYLAND_DISPLAY=wayland-0
WINDOWID=1
XAUTHORITY=/run/user/1000/xauth_QOItFQ
XCURSOR_SIZE=24
XCURSOR_THEME=breeze_cursors
XDG_ACTIVATION_TOKEN=kwin-4
XDG_CONFIG_DIRS=/home/jfroy/.config/kdedefaults:/etc/xdg
XDG_CURRENT_DESKTOP=KDE
XDG_DATA_DIRS=/home/jfroy/.local/share/flatpak/exports/share:/var/lib/flatpak/exports/share:/home/jfroy/.local/share/flatpak/exports/share:/var/lib/flatpak/exports/share:/usr/local/share/:/usr/share/
XDG_RUNTIME_DIR=/run/user/1000
XDG_SEAT=seat0
XDG_SESSION_CLASS=user
XDG_SESSION_DESKTOP=plasmawayland
XDG_SESSION_ID=5
XDG_SESSION_TYPE=wayland
XDG_VTNR=2

npreining commented on 2023-01-14 05:31 (UTC)

@jfroy Hmm, interesting. Can you install python-chardet package and see whether that fixes it. All the modules should be included in the packaged version, though.

jfroy commented on 2023-01-14 01:19 (UTC)

Seems to be broken. Missing python module?

Traceback (most recent call last):
  File "requests/compat.py", line 11, in <module>
ModuleNotFoundError: No module named 'chardet'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "fastflix/entry.py", line 9, in <module>
    import requests
  File "PyInstaller/loader/pyimod02_importers.py", line 499, in exec_module
  File "requests/__init__.py", line 45, in <module>
  File "PyInstaller/loader/pyimod02_importers.py", line 499, in exec_module
  File "requests/exceptions.py", line 9, in <module>
  File "PyInstaller/loader/pyimod02_importers.py", line 499, in exec_module
  File "requests/compat.py", line 13, in <module>
  File "PyInstaller/loader/pyimod02_importers.py", line 499, in exec_module
  File "charset_normalizer/__init__.py", line 24, in <module>
  File "PyInstaller/loader/pyimod02_importers.py", line 499, in exec_module
  File "charset_normalizer/api.py", line 5, in <module>
  File "PyInstaller/loader/pyimod02_importers.py", line 499, in exec_module
  File "charset_normalizer/cd.py", line 9, in <module>
ModuleNotFoundError: No module named 'charset_normalizer.md__mypyc'
Could not load FastFlix properly!
Please report this issue on https://github.com/cdgriffith/FastFlix/issues (press any key to exit)